
#ifndef DRN_NETWORK_EXPORT_H
#define DRN_NETWORK_EXPORT_H

#ifdef DRN_NETWORK_STATIC_DEFINE
#  define DRN_NETWORK_EXPORT
#  define DRN_NETWORK_NO_EXPORT
#else
#  ifndef DRN_NETWORK_EXPORT
#    ifdef network_EXPORTS
        /* We are building this library */
#      define DRN_NETWORK_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define DRN_NETWORK_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef DRN_NETWORK_NO_EXPORT
#    define DRN_NETWORK_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef DRN_NETWORK_DEPRECATED
#  define DRN_NETWORK_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef DRN_NETWORK_DEPRECATED_EXPORT
#  define DRN_NETWORK_DEPRECATED_EXPORT DRN_NETWORK_EXPORT DRN_NETWORK_DEPRECATED
#endif

#ifndef DRN_NETWORK_DEPRECATED_NO_EXPORT
#  define DRN_NETWORK_DEPRECATED_NO_EXPORT DRN_NETWORK_NO_EXPORT DRN_NETWORK_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef DRN_NETWORK_NO_DEPRECATED
#    define DRN_NETWORK_NO_DEPRECATED
#  endif
#endif

#endif /* DRN_NETWORK_EXPORT_H */
